summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-roguelike/tomenet
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-roguelike/tomenet')
-rw-r--r--games-roguelike/tomenet/Manifest1
-rw-r--r--games-roguelike/tomenet/files/tomenet-4.5.9-makefile.patch75
-rw-r--r--games-roguelike/tomenet/files/tomenet-server-wrapper6
-rw-r--r--games-roguelike/tomenet/files/tomenet-wrapper18
-rw-r--r--games-roguelike/tomenet/metadata.xml19
-rw-r--r--games-roguelike/tomenet/tomenet-4.5.9.ebuild100
6 files changed, 219 insertions, 0 deletions
diff --git a/games-roguelike/tomenet/Manifest b/games-roguelike/tomenet/Manifest
new file mode 100644
index 00000000000..85752091a12
--- /dev/null
+++ b/games-roguelike/tomenet/Manifest
@@ -0,0 +1 @@
+DIST tomenet-4.5.9.tar.bz2 3012187 SHA256 40ce5068e2ee10ad051241d5c44423bb74a9ef4054260ee692adeccc9b46d4c7 SHA512 1e13e37b209ab274fb6aeafeb270cff0590ffa352b91b61970194e968826bed3fd365c210238a48b067d0882bac737c70250d8846acc816e3c3ac0b3b843ee1d WHIRLPOOL c9106d27be0e9f173eae24d12f79b75818b1dd23d2c1c93dd4a1a707de6ddaf7538de0dce73216d4a32a290245cd4c09dd26bbc3b54e811484a3a44bb2945fa6
diff --git a/games-roguelike/tomenet/files/tomenet-4.5.9-makefile.patch b/games-roguelike/tomenet/files/tomenet-4.5.9-makefile.patch
new file mode 100644
index 00000000000..0dc9fb8171c
--- /dev/null
+++ b/games-roguelike/tomenet/files/tomenet-4.5.9-makefile.patch
@@ -0,0 +1,75 @@
+--- tomenet-4.5.9.orig/src/makefile
++++ tomenet-4.5.9/src/makefile
+@@ -203,7 +203,7 @@
+ #
+ # This is my compiler of choice, it seems to work most everywhere
+ #
+-CC = gcc
++CC ?= gcc
+
+ # For allowing #if..#else..#endif constructs in LUA files - C. Blue
+ # Note: The flags must contain
+@@ -215,16 +215,26 @@
+ # need to use the gcc invocation below instead.
+ #
+ # cpp variant:
+-CPP = cpp
+-CPPFLAGS = -C -P
++#CPP = cpp
++#CPPFLAGS = -C -P
+ # gcc variant:
+-#CPP = gcc
+-#CPPFLAGS = -x c -E -Wp,-C,-P
++CPP ?= gcc
++CPPFLAGS = -x c -E -Wp,-C,-P
+
+
+ # For variations with X11
+ X11BASE = /usr/X11R6
+
++# defines
++ifdef USE_SDL
++CFLAGS += -DSOUND_SDL $(shell sdl-config --cflags)
++SDL_LIBS = $(shell sdl-config --libs) -lSDL_mixer
++endif
++
++ifdef USE_X
++CFLAGS += -I${X11BASE}/include -DUSE_X11
++LIBS += -L${X11BASE}/lib -lX11
++endif
+
+ ##
+ ## Standard version -- supports X11 (main-x11.c)
+@@ -234,8 +244,11 @@
+ # "CFLAGS", if your machine places files in a weird location.
+ #
+ ## With SDL
+-#CFLAGS = -g -pipe -Wall -DUSE_X11 -I${X11BASE}/include -D_XOPEN_SOURCE -D_BSD_SOURCE -DMEXP=19937 -DSOUND_SDL `sdl-config --cflags`
+-#LIBS = -L${X11BASE}/lib -L/usr/pkg/lib -lX11 -lcrypt -lm `sdl-config --libs` -lSDL_mixer
++
++CFLAGS += -Wall
++CFLAGS += -DUSE_GCU -D_XOPEN_SOURCE -D_BSD_SOURCE -DMEXP=19937
++LIBS += -L/usr/pkg/lib $(shell ${PKG_CONFIG} --libs ncurses) -lcrypt -lm ${SDL_LIBS}
++
+ ##
+ ## Without SDL
+ #CFLAGS = -g -pipe -Wall -DUSE_X11 -I${X11BASE}/include -D_XOPEN_SOURCE -D_BSD_SOURCE -DMEXP=19937
+@@ -257,7 +270,7 @@
+ #
+ ## With SDL
+ CFLAGS = -g -pipe -Wall -DUSE_X11 -DUSE_GCU -I${X11BASE}/include -D_XOPEN_SOURCE -D_BSD_SOURCE -DMEXP=19937 -DSOUND_SDL `sdl-config --cflags` -D_DEFAULT_SOURCE -DACC32
+-LIBS = -L${X11BASE}/lib -L/usr/pkg/lib -lX11 -lncurses -lcrypt -lm `sdl-config --libs` -lSDL_mixer
++LIBS = -L${X11BASE}/lib -L/usr/pkg/lib -lX11 $(shell ${PKG_CONFIG} --libs ncurses) -lcrypt -lm $(shell sdl-config --libs) -lSDL_mixer
+ ##
+ ## Without SDL
+ #CFLAGS = -g -pipe -Wall -DUSE_X11 -DUSE_GCU -I${X11BASE}/include -D_XOPEN_SOURCE -D_BSD_SOURCE -DMEXP=19937
+@@ -357,9 +370,6 @@
+ # Compile a client with 'test client' version/tag
+ tomenet.test: CFLAGS += -DTEST_CLIENT -O0
+
+-# Normal release build
+-tomenet: CFLAGS += -O2
+-
+
+ # Lua
+ SRCS += $(LUASRCS)
diff --git a/games-roguelike/tomenet/files/tomenet-server-wrapper b/games-roguelike/tomenet/files/tomenet-server-wrapper
new file mode 100644
index 00000000000..831fbfb76ed
--- /dev/null
+++ b/games-roguelike/tomenet/files/tomenet-server-wrapper
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+TOMENET_PATH="@LIBDIR@"
+export TOMENET_PATH
+cd "${TOMENET_PATH}"
+exec tomenet.server.bin "$@"
diff --git a/games-roguelike/tomenet/files/tomenet-wrapper b/games-roguelike/tomenet/files/tomenet-wrapper
new file mode 100644
index 00000000000..2ca29b86217
--- /dev/null
+++ b/games-roguelike/tomenet/files/tomenet-wrapper
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ ! -e ~/.tomenet/.gentoo ]; then
+ LIBDIR="@LIBDIR@"
+ [ -e ~/.tomenet ] || mkdir ~/.tomenet
+
+ ln -s "${LIBDIR}"/game ~/.tomenet/game
+ ln -s "${LIBDIR}"/text ~/.tomenet/text
+ cp -R "${LIBDIR}"/user "${LIBDIR}"/scpt "${LIBDIR}"/xtra ~/.tomenet/
+ [ -e ~/.tomenetrc ] || cp "${LIBDIR}"/.tomenetrc ~/.tomenetrc
+
+ touch ~/.tomenet/.gentoo
+fi
+
+TOMENET_PATH="${HOME}/.tomenet"
+export TOMENET_PATH
+cd "${TOMENET_PATH}"
+exec tomenet.bin "$@"
diff --git a/games-roguelike/tomenet/metadata.xml b/games-roguelike/tomenet/metadata.xml
new file mode 100644
index 00000000000..1712bc53bef
--- /dev/null
+++ b/games-roguelike/tomenet/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <use>
+ <flag name='server'>Compile server support</flag>
+ </use>
+ <longdescription lang="en">
+ TomeNET is a multiplayer fantasy dungeon exploration game based on
+ the works of J.R.R. Tolkien. It is a game that emphasizes intricate,
+ challenging, and varied gameplay over graphics. Hundreds of
+ different monsters in randomly-generated,
+ unpredictable dungeons will strive to slay you by various means,
+ and you counter - if you survive - by developing the skills of your
+ choice and wielding mighty
+ artifacts.
+ </longdescription>
+</pkgmetadata>
+
diff --git a/games-roguelike/tomenet/tomenet-4.5.9.ebuild b/games-roguelike/tomenet/tomenet-4.5.9.ebuild
new file mode 100644
index 00000000000..03bb61bb4d6
--- /dev/null
+++ b/games-roguelike/tomenet/tomenet-4.5.9.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils toolchain-funcs games
+
+DESCRIPTION="A MMORPG based on the works of J.R.R. Tolkien"
+HOMEPAGE="http://www.tomenet.eu/"
+SRC_URI="http://www.tomenet.eu/downloads/${P}.tar.bz2"
+
+LICENSE="Moria"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="dedicated server +sound X"
+
+RDEPEND="sys-libs/ncurses
+ !dedicated? (
+ X? (
+ x11-libs/libX11
+ )
+ sound? (
+ media-libs/libsdl[sound]
+ media-libs/sdl-mixer[vorbis,smpeg,mp3]
+ )
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ !dedicated? ( sound? ( app-arch/p7zip[wxwidgets] ) )"
+
+S=${WORKDIR}/${P}/src
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-makefile.patch
+ use server || use dedicated || { rm -r ../lib/{config,data,save} || die ;}
+
+ sed \
+ -e "s#@LIBDIR@#${GAMES_DATADIR}/${PN}#" \
+ "${FILESDIR}"/${PN}-wrapper > "${T}"/${PN} || die
+
+ if use server || use dedicated ; then
+ sed \
+ -e "s#@LIBDIR@#${GAMES_DATADIR}/${PN}#" \
+ "${FILESDIR}"/${PN}-server-wrapper > "${T}"/${PN}.server || die
+ fi
+
+ tc-export PKG_CONFIG
+}
+
+src_compile() {
+ local mytargets="$(usex dedicated "accedit tomenet.server evilmeta" "$(usex server "all" "tomenet")")"
+ emake \
+ $(usex dedicated "" "$(usex X "USE_X=1" "")") \
+ $(usex dedicated "" "$(usex sound "USE_SDL=1" "")") \
+ -f makefile \
+ ${mytargets[@]}
+}
+
+src_install() {
+ dodoc ../TomeNET-Guide.txt
+
+ if ! use dedicated ; then
+ newgamesbin ${PN} ${PN}.bin
+ dogamesbin "${T}"/${PN}
+
+ doicon -s 48 client/tomenet4.png
+ make_desktop_entry ${PN} ${PN} ${PN}4
+ fi
+
+ if use server || use dedicated ; then
+ newgamesbin tomenet.server tomenet.server.bin
+ dogamesbin "${T}"/${PN}.server accedit evilmeta
+ fi
+
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r ../lib/*
+ doins ../.tomenetrc
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+
+ if use sound; then
+ elog "You can get soundpacks from here:"
+ elog ' http://tomenet.net/downloads.php'
+ elog "They must be placed inside ~/.tomenet directory."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}